# hey Emacs, its -*- rpm-spec -*-
# $Id: ruby-testunit,v 1.7 2002/11/19 17:57:11 ab Exp $

Name: ruby-testunit
Version: 0.1.4
Release: alt2
Summary: Ruby Test::Unit framework
Source0: http://www.talbott.ws/testunit/packages/testunit-%version.tar.bz2
Patch0: testunit-0.1.4-class-alt.patch.bz2
License: Ruby
Group: Development/Ruby
Requires: ruby-stdlibs-core >= 1.7.3-alt7
AutoReq: yes, noshell

Packager: Alexander Bokovoy <ab@altlinux.ru>
BuildRequires: ruby, libruby-devel

%description
Test::Unit, a framework for unit testing in Ruby, helping you to
design, debug and evaluate your code by making it easy to write and
have tests for it.

%prep
%setup -q -n testunit-%version
%patch0 -p1

%build
ruby -rvendor-specific setup.rb config --prefix=%buildroot%prefix
ruby -rvendor-specific setup.rb setup

%install
ruby -rvendor-specific setup.rb install

%files 
%ruby_sitelibdir/*
%doc doc examples ChangeLog README TODO


%changelog
* Tue Nov 19 2002 Alexander Bokovoy <ab@altlinux.ru> 0.1.4-alt2
- Rebuild with new FHS-compliant Ruby package

* Wed Oct 09 2002 Alexander Bokovoy <ab@altlinux.ru> 0.1.4-alt1
- Initial packaging

